$(document).on("click", '.toggle-lista-entidade', function() {
  var $this = jQuery(this);
  var parent = $this.parent().parent();
  parent.toggleClass("active");
  if(parent.hasClass("active")){
    jQuery(".titulo-lista-entidade-nova-lead h4").text("Nova entidade");
    jQuery(this).text("Entidade existente");
    jQuery('#inputclienteid').val("");
  }else{
    jQuery(".titulo-lista-entidade-nova-lead h4").text("Existente");
    jQuery(this).text("Adicionar nova entidade");
    jQuery('#inputdesignacao').val("");
    jQuery('#inputnomeresponsavel').val("");
    jQuery('#inputnif').val("");
    jQuery('#inputemail').val("");
    jQuery('#inputtelefone').val("");
    jQuery('#inputmorada').val("");
  }
});


var valoranteriorselecionado;
$(document).on("click", '.toggle-lista-entidade-editar', function() {
  var $this = jQuery(this);
  var parent = $this.parent().parent();
  parent.toggleClass("active");
  if(parent.hasClass("active"))
  {
    jQuery(".titulo-lista-entidade-editar-lead h4").text("Entidade não existente");
    jQuery(this).text("Entidade existente");
    if(jQuery("#inputclienteideditar").val()!=0) valoranteriorselecionado = jQuery("#inputclienteideditar").val();
    jQuery("#inputclienteideditar").select2("val", "0");
    jQuery('.lead-sem-entidade').show();
    jQuery('.lead-com-entidade').hide();
  }
  else
  {
    jQuery("#inputclienteideditar").val(valoranteriorselecionado).trigger("change");
    jQuery('.lead-sem-entidade').hide();
    jQuery('.lead-com-entidade').show();
    jQuery(".titulo-lista-entidade-editar-lead h4").text("Existente");
    jQuery(this).text("Entidade não existente");
    jQuery('#inputdesignacao').val("");
    jQuery('#inputnomeresponsavel').val("");
    jQuery('#inputnif').val("");
    jQuery('#inputemail').val("");
    jQuery('#inputtelefone').val("");
    jQuery('#inputmorada').val("");
  }
});

$(document).on("sortreceive", ".selector", function(e, ui) {

  var statusid = $(this).data('statusid');
  var leadid = ui.item.data('tarefaid');
  var titulo = ui.item.data('leadtitulo');
  var clientenif = ui.item.data('clientenif');
  var clienteemail= ui.item.data('clienteemail');
  var clientenome = ui.item.data('clientenome');
  var clientetelefone= ui.item.data('clientetelefone');
  var descricao= ui.item.data('descricao');
  var statusidbefore = ui.sender.data('statusid');
  var index = ui.item.data('index');

  console.log("statusid after: " + statusid + ", statusid before: " + statusidbefore);
  console.log("leadid: " + leadid);
  console.log(titulo);
  console.log(clientenif);
  console.log(clienteemail);
  console.log(clientenome);
  console.log(clientetelefone);
  console.log(descricao);
  console.log("index: " + index);


  if (statusid==5) {
    $.ajax({
      url: '/app/elements/functions/ajax.php',
      type: 'POST',
      data: {"ajax": "opcoes_lead", "statusidbefore" : statusidbefore, "index" : index, "leadid": leadid, "titulo" : titulo , "clientenif" : clientenif, "clienteemail" : clienteemail, "clientetelefone" : clientetelefone, "clientenome" : clientenome, "descricao" : descricao },
      cache: false,
      success:function(response) {
        //location.reload();
        $('#opcoes_lead .modal-dialog').html(response);
        $('#opcoes_lead').modal('show');
      }
    });
  }
  else {
    $.ajax({
      url: "/app/elements/functions/actions.php",
      type: 'POST',
      data: {"acao": "lead_ordenacao", "leadid" : leadid, "statusid" : statusid},
      cache: false,
    });

    $.ajax({
      url: "/app/elements/functions/actions.php",
      type: 'POST',
      data: {"acao": "guardar_estado", "leadid" : leadid, "statusid" : statusid},
      cache: false,
    });
  }
});
//criar lead
$(document).on("click", ".botao_criar_lead", function()
{
  //  console.log($(this));
  //  var asd = $(this).data('');
  //  var  = $(this).data('');
  var leadid = $(this).data('leadid');
  $.ajax({
    url: '/app/elements/functions/actions.php',
    type: 'POST',
    data: {"acao":"criar_lead" },
    cache: false,
  });
});

//eliminar lead
$(document).on('click', '.botao_eliminar_lead', function()
{
  var leadid = $(this).data('leadid');
  $.ajax({
    url: '/app/elements/functions/ajax.php',
    type: 'POST',
    data: {"ajax":"eliminar_lead_modal", "leadid": leadid },
    cache: false,
    success: function(response){
      $('#eliminar_lead_modal .modal-dialog').html(response);
    }
  });
});

// Carregar no botão de cancelar, ao pedir ao user a criação de Orçamento e passagem da lead a Convertida
$(document).on('click', '#btn-opcoeslead-cancelar', function(){
  var id = $(this).data('id');
  var index = $(this).data('index');
  var statusidbefore = $(this).data('statusidbefore');
  var card = $("div").find(`[data-tarefaid='${id}']`);
  var list = $("div").find(`[data-stid='${statusidbefore}']`);
  var list_nr = index.split("_")[0];
  var card_nr = index.split("_")[1];

  console.log("A mover leadid [" + id + "] de volta para o status [" + statusidbefore + "]...");

  if (card_nr == '0') {
    list.prepend(card);
  }
  else {
    var nextcard_index = list_nr + "_" + (parseInt(card_nr) - 1);
    var cardbefore = $("div").find(`[data-index='${nextcard_index}']`);
    console.log(nextcard_index);
    console.log(cardbefore);
    cardbefore.after(card);
  }
  console.log("Movido!");
});
